summaryrefslogtreecommitdiffstats
path: root/games/Genesis-Plus-GX
diff options
context:
space:
mode:
author Hunter Sezen2016-08-01 13:11:05 +0200
committer David Spencer2016-08-05 19:10:41 +0200
commit93f95f4d461f77c164d735bff58a5bee931b7e7c (patch)
tree6b78b63c5e69193e011c32411aed9f059af23ecf /games/Genesis-Plus-GX
parent61b641e43bcd4c283ede42588426185c6ca055e3 (diff)
downloadslackbuilds-93f95f4d461f77c164d735bff58a5bee931b7e7c.tar.gz
games/Genesis-Plus-GX: Added (enhanced port of Genesis Plus).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/Genesis-Plus-GX')
-rw-r--r--games/Genesis-Plus-GX/Genesis-Plus-GX.SlackBuild95
-rw-r--r--games/Genesis-Plus-GX/Genesis-Plus-GX.info10
-rw-r--r--games/Genesis-Plus-GX/README35
-rw-r--r--games/Genesis-Plus-GX/slack-desc19
4 files changed, 159 insertions, 0 deletions
diff --git a/games/Genesis-Plus-GX/Genesis-Plus-GX.SlackBuild b/games/Genesis-Plus-GX/Genesis-Plus-GX.SlackBuild
new file mode 100644
index 0000000000..32f2255b28
--- /dev/null
+++ b/games/Genesis-Plus-GX/Genesis-Plus-GX.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for Genesis-Plus-GX
+
+# Copyright 2016 Hunter Sezen
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Genesis-Plus-GX
+LIBNAM=$(echo $PRGNAM | tr [A-Z] [a-z] | tr - _)_libretro
+VERSION=${VERSION:-2016.05.24_7c0f056}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# requires patching the Makefile to properly use
+# the default CFLAGS and CXXFLAGS are probably fine
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DEBUG=${DEBUG:-0}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make -f Makefile.libretro DEBUG=$DEBUG
+
+install -Dm0644 $LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
+install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
+
+if [ "${DEBUG:-0}" = "0" ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/Genesis-Plus-GX/Genesis-Plus-GX.info b/games/Genesis-Plus-GX/Genesis-Plus-GX.info
new file mode 100644
index 0000000000..41652a9e63
--- /dev/null
+++ b/games/Genesis-Plus-GX/Genesis-Plus-GX.info
@@ -0,0 +1,10 @@
+PRGNAM="Genesis-Plus-GX"
+VERSION="2016.05.24_7c0f056"
+HOMEPAGE="http://www.libretro.com/"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/Genesis-Plus-GX-2016.05.24_7c0f056.tar.xz"
+MD5SUM="014771ac5083b7bec6127e7f9fe25bef"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="RetroArch"
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/games/Genesis-Plus-GX/README b/games/Genesis-Plus-GX/README
new file mode 100644
index 0000000000..4518e17b2e
--- /dev/null
+++ b/games/Genesis-Plus-GX/README
@@ -0,0 +1,35 @@
+Genesis Plus GX is an open-source Sega 8/16 bit emulator focused on
+accuracy and portability.
+
+The source code, initially based on Genesis Plus 1.2a by Charles
+MacDonald has been heavily modified & enhanced, with respect to
+original goals and design, in order to improve emulation accuracy as
+well as adding support for new peripherals, cartridge or console
+hardware and many other exciting features.
+
+The result is that Genesis Plus GX is now more a continuation of the
+original project than a simple port, providing very accurate emulation
+and 100% compatibility with Genesis / Mega Drive, Sega/Mega CD, Master
+System, Game Gear & SG-1000 released software (including all unlicensed
+or pirate known dumps), also emulating backwards compatibility modes
+when available.
+
+Genesis Plus GX supports usage of actual BIOS image files rather than
+emulating them. Only Sega CD/Mega CD emulation requires a real BIOS to
+work. It is recommended to use a BIOS from a Model 1 system, but others
+are expected to work too.
+
+* bios_CD_E.bin (MegaCD EU BIOS)
+* bios_CD_U.bin (SegaCD US BIOS)
+* bios_CD_J.bin (MegaCD JP BIOS)
+* bios_E.sms (MasterSystem EU BIOS)
+* bios_U.sms (MasterSystem US BIOS)
+* bios_J.sms (MasterSystem JP BIOS)
+* bios.gg (GameGear BIOS)
+* sk.bin (Sonic & Knuckles (2 MiB) ROM)
+* sk2chip.bin (Sonic & Knuckles UPMEM (256 KiB) ROM)
+* areplay.bin (Action Replay (Pro) ROM)
+* ggenie.bin (Game Genie ROM)
+
+To build the debugging symbols use:
+ DEBUG=1 ./Genesis-Plus-GX.SlackBuild
diff --git a/games/Genesis-Plus-GX/slack-desc b/games/Genesis-Plus-GX/slack-desc
new file mode 100644
index 0000000000..c59e9bcb72
--- /dev/null
+++ b/games/Genesis-Plus-GX/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+Genesis-Plus-GX: Genesis-Plus-GX (An enhanced port of Genesis Plus)
+Genesis-Plus-GX:
+Genesis-Plus-GX: Genesis Plus GX is an open-source Sega 8/16 bit emulator focused on
+Genesis-Plus-GX: accuracy and portability.
+Genesis-Plus-GX:
+Genesis-Plus-GX: Homepage: http://www.libretro.com/
+Genesis-Plus-GX:
+Genesis-Plus-GX:
+Genesis-Plus-GX:
+Genesis-Plus-GX:
+Genesis-Plus-GX: